# Interactive Image [![npm version](https://badge.fury.io/js/interactiveimagejs.svg)](http://badge.fury.io/js/interactiveimagejs) [![Build Status](https://travis-ci.org/jpchateau/Interactive-Image.svg?branch=master)](https://travis-ci.org/jpchateau/Interactive-Image) [![Code Climate](https://codeclimate.com/github/jpchateau/Interactive-Image/badges/gpa.svg)](https://codeclimate.com/github/jpchateau/Interactive-Image) [![Known Vulnerabilities](https://snyk.io//test/github/jpchateau/Interactive-Image/badge.svg?targetFile=package.json)](https://snyk.io//test/github/jpchateau/Interactive-Image?targetFile=package.json)

> A jQuery plugin to embed interactive images on your website.

[![Demo](docs/_static/demo.jpg)](https://www.jpchateau.com/demo/interactive-image)

[Online Demo](https://www.jpchateau.com/demo/interactive-image) | [CodePen](https://codepen.io/jpchateau/pen/vYOvGeE)

## Features

* Interactive videos, sounds, images and texts over large pictures
* Support for popular content providers
* Social Media sharing capabilities
* Flexible configuration of markers and items
* Easily customizable with CSS
* Unit tested with [Mocha](https://mochajs.org/)

## Documentation

The complete documentation is hosted at [Read the docs](https://interactive-image.readthedocs.io).  
You can discover how to use _Interactive Image_ on [CodePen](https://codepen.io/jpchateau/pen/vYOvGeE).

## Browser Support

| ![Chrome](https://raw.github.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png) | ![Safari](https://raw.github.com/alrra/browser-logos/master/src/safari/safari_48x48.png) | ![Firefox](https://raw.github.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png) | ![Edge](https://raw.github.com/alrra/browser-logos/master/src/edge/edge_48x48.png) |
| --- | --- | --- | --- |
| Latest ✔ | Latest ✔ | Latest ✔ | Latest ✔ |

## Changelog

See the full changelog [here](CHANGELOG.md).

## Contribute

Feel free to contribute and open some issues or pull requests.  
See the contributing guidelines [here](CONTRIBUTING.md).

## Alternatives

* For business:
  * [genially](https://www.genial.ly/)
  * [ImageMarker](https://www.imagemarker.com/)
  * [ThingLink](https://www.thinglink.com/)
* Premium:
  * [imageLinks](http://avirtum.com/imagelinks-jquery-plugin/)
* Free:
  * [jquery.hotspot.js](https://github.com/skypluto/jquery.hotspot.js)

## Design philosophy

_Interactive Image_ is designed for developers. To that end, it is focused on code quality, tests, security and web performances.  
The API and documentation have to be simple and clear as well.

## License

Copyright © 2020 [Jean-Philippe Chateau](https://github.com/jpchateau/).  
This content is released under the [MIT license](https://github.com/jpchateau/Interactive-Image/blob/master/LICENSE).
